/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package phone;

import controller.CommandController;
import gui.Hauptfenster;
import java.net.InetAddress;
import java.net.UnknownHostException;
import java.text.ParseException;
import model.SIPmodel;
/**
 * Builder Class / Start Klasse des Programmes
 * @author Jan
 */
public class Start
{
  public Start() throws ParseException, UnknownHostException
  {
    Hauptfenster view = new Hauptfenster();
    SIPmodel model = new SIPmodel(view);
    
    CommandController controller = new CommandController(model, view);
    controller.registerEvents();
    controller.registerCommands();
    
    view.getLblmyIP().setText(InetAddress.getLocalHost().getHostAddress());
    view.getTxtServerIP().setText("192.168.100.11");
    view.getTxtcallIP().setText("121");
    //view.setExtendedState(view.MAXIMIZED_BOTH);
    view.setSize(400, 400);
    view.setTitle("TestOberfläche VoIP Phone");
    view.setVisible(true);

  }

  /**
   * @param args the command line arguments
   */
  public static void main(String[] args) throws ParseException, UnknownHostException 
  {
    new Start();
  }
}
